summaryrefslogtreecommitdiff
path: root/dev-python/psutil
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-python/psutil
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-python/psutil')
-rw-r--r--dev-python/psutil/Manifest1
-rw-r--r--dev-python/psutil/metadata.xml9
-rw-r--r--dev-python/psutil/psutil-7.2.2.ebuild109
3 files changed, 119 insertions, 0 deletions
diff --git a/dev-python/psutil/Manifest b/dev-python/psutil/Manifest
new file mode 100644
index 000000000000..af4a1fdb3bd7
--- /dev/null
+++ b/dev-python/psutil/Manifest
@@ -0,0 +1 @@
+DIST psutil-7.2.2.tar.gz 493740 BLAKE2B 67a9fbf5b5e0f045b8ccbee34b34fe326111a5f4f0c5cb1ce4d8fd96fddc1826079aa2fbc40eee00851f4ea81d463eccb42ba4ed5aa98551b81e4066bec6484d SHA512 2de05c69d152a8582a4d8f1f02233cae5927baaa35f8797e4b0745f33e6b3c7239b9a54b719b0582b0b6c5b4bbc86d2e1e226c3e9854e4e5be9c5e349c704961
diff --git a/dev-python/psutil/metadata.xml b/dev-python/psutil/metadata.xml
new file mode 100644
index 000000000000..acfe7097587e
--- /dev/null
+++ b/dev-python/psutil/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/dev-python/psutil/psutil-7.2.2.ebuild b/dev-python/psutil/psutil-7.2.2.ebuild
new file mode 100644
index 000000000000..f936dd5864b4
--- /dev/null
+++ b/dev-python/psutil/psutil-7.2.2.ebuild
@@ -0,0 +1,109 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Retrieve information on running processes and system utilization"
+HOMEPAGE="
+ https://github.com/giampaolo/psutil/
+ https://pypi.org/project/psutil/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~arm64-macos ~x64-macos ~x64-solaris"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # hardcoded assumptions about the test environment
+ tests/test_linux.py::TestRootFsDeviceFinder::test_disk_partitions_mocked
+ tests/test_linux.py::TestSystemDiskPartitions::test_zfs_fs
+ tests/test_linux.py::TestSystemNetIfAddrs::test_ips
+ tests/test_posix.py::TestProcess::test_nice
+ tests/test_process.py::TestProcess::test_ionice_linux
+ tests/test_system.py::TestDiskAPIs::test_disk_partitions
+
+ # mocking is broken
+ tests/test_linux.py::TestSensorsBattery::test_emulate_energy_full_0
+ tests/test_linux.py::TestSensorsBattery::test_emulate_energy_full_not_avail
+ tests/test_linux.py::TestSensorsBattery::test_emulate_no_power
+ tests/test_linux.py::TestSensorsBattery::test_emulate_power_undetermined
+
+ # doesn't like sandbox injecting itself
+ tests/test_process.py::TestProcess::test_weird_environ
+
+ # extremely flaky
+ tests/test_heap.py::TestHeap::test_mmap_used
+ tests/test_linux.py::TestSystemVirtualMemoryAgainstFree::test_used
+ tests/test_linux.py::TestSystemVirtualMemoryAgainstVmstat::test_used
+ tests/test_system.py::TestMiscAPIs::test_heap_info
+
+ # nproc --all is broken?
+ tests/test_linux.py::TestSystemCPUCountLogical::test_against_nproc
+
+ # broken on some architectures
+ tests/test_linux.py::TestSystemCPUCountCores::test_method_2
+ tests/test_linux.py::TestSystemCPUCountLogical::test_emulate_fallbacks
+ tests/test_linux.py::TestSystemCPUFrequency::test_emulate_use_cpuinfo
+ tests/test_linux.py::TestSystemCPUFrequency::test_emulate_use_second_file
+ tests/test_system.py::TestCpuAPIs::test_cpu_freq
+ tests/test_system.py::TestCpuAPIs::test_cpu_times_comparison
+
+ # broken in some setups
+ tests/test_linux.py::TestMisc::test_issue_687
+ tests/test_linux.py::TestProcessAgainstStatus::test_cpu_affinity
+ tests/test_linux.py::TestSystemCPUStats::test_interrupts
+ tests/test_posix.py::TestProcess::test_cmdline
+ tests/test_posix.py::TestProcess::test_name
+ tests/test_posix.py::TestSystemAPIs::test_users
+ tests/test_process.py::TestProcess::test_memory_maps_lists_lib
+ tests/test_process.py::TestProcess::test_terminal
+ tests/test_unicode.py::TestFSAPIs::test_memory_maps
+
+ # fails on all AT containers
+ tests/test_system.py::TestMiscAPIs::test_users
+
+ # failing without /sys/class/power_supply?
+ tests/test_memleaks.py::TestModuleFunctionsLeaks::test_sensors_battery
+ tests/test_misc.py::TestMisc::test_serialization
+
+ # tests for calling setup.py, fail over removed psutil dir
+ tests/test_scripts.py
+ )
+ local EPYTEST_IGNORE=(
+ # requires psleak
+ tests/test_memleaks.py
+ )
+
+ case ${EPYTHON} in
+ python3.15*)
+ EPYTEST_DESELECT+=(
+ tests/test_process.py::TestProcess::test_rlimit_infinity_value
+ )
+ ;;
+ esac
+
+ # Since we are running in an environment a bit similar to CI,
+ # let's skip the tests that are disabled for CI
+ local -x TRAVIS=1
+ local -x APPVEYOR=1
+ local -x GITHUB_ACTIONS=1
+
+ rm -rf psutil || die
+ epytest -o addopts=
+}
+
+python_compile() {
+ # Force -j1 to avoid .o linking race conditions
+ local MAKEOPTS=-j1
+ distutils-r1_python_compile
+}